#!/bin/bash

###############
# Configuration
# Slack host (SLACK_HOST.slack.com)
SLACK_HOST=""
# API Token
TOKEN=""
# Channel where events will be posted
CHANNEL="alerts"
###############

if [ -z $SLACK_HOST ] || [ -z $TOKEN ] || [ -z $CHANNEL ]; then
	exit 1
fi

DATA=
while read line; do
	DATA="${DATA}${line}"
done < /dev/stdin

TEXT=${DATA//[\"\,\{\}]/}
TEXT=${TEXT%% }
TEXT=${TEXT## }

curl --max-time 10 "https://slack.com/api/chat.postMessage?token=$TOKEN&channel=$CHANNEL" -d "text=$TEXT"

